Bienvenue sur le forum !

Si vous souhaitez rejoindre la communauté, cliquez sur l'un de ces boutons !

Qt 5 : 5.8.0 - Qt Creator : 4.3.0 - Qt Installer : 2.0.3 - JOM : 1.1.2 - Qt Build suite : 1.7.0 - VS Qt 5 : 2.0.0

Installer Qt sous Linux

Salut,
Ayant fraichement installé Linux mint (bien mieux que windows, même si parfois j'arrive à faire bugger le terminal), j'aimerai installer Qt pour pouvoir compiler mes applis et les distribuer sur Linux.
Donc, j'ai quelques questions:
-Si j'installe uniquement le paquet build-essential, aurais-je quand même besoin de Qt ?
-Si j'installe le paquet qtcreator, suis-je sûr d'avoir tout correctement configuré sans bug du genre "pas de kit/compilateur trouvé"
-Ici, je dois choisir entre x64 et x86. Je suis en x64, mais pour faire des applis compatibles avec des Linux x86, et même si mon linux est en x64, j'installe la version x64 ou x86 ?
Voilà, merci pour vos réponses.

Réponses

  • 1. oui. Build_essantial contient les outils de base (compilateur, libs, etc). Pas Qt.
    2. non. qtcreator contient QtCreator. Pas les kits (de mémoire). Je ne sais plus si les paquets Qt sont une dépendances de qtcreator.
    3. si tu veux faire de la cross-compil (ie compiler pour un système qui n'est pas le tien), il faut installer la chaine de build complete, c'est à dire le compilo, l'ensemble des libs système et Qt. Si tu n'installes que la version 32b de Qt sans installer le reste, ça passera pas.
  • Ah. Super. Donc j'installe build-essential, qtcreator, et la version de Qt en x86 ?
  • Bonsoir !
    Si tu ne veux développer QUE pour du 32b, pourquoi n'installes tu pas un linux 32b ?
  • Je télécharge toujours via download.qt.io
    j'ai télécharger qt-opensource-linux-x64-5.6.0.run
    et ça marche impec pour Ubuntu 15.10 dans VirtualBox.

    Il me semble qu'il n'y a plus de version 32 bits pour Linux à partir de la 5.6.
  • Salut,
    il faudra installer les libs 32 bits
    pour les distribs type debian :
    sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install ia32-libs
  • Bonsoir !
    Si tu ne veux développer QUE pour du 32b, pourquoi n'installes tu pas un linux 32b ?
    Je ne veux pas faire QUE du 32b, je veux pouvoir faire une app pour tous les linux, x64 ou x86, depuis un seul linux en x64.
    Je télécharge toujours via download.qt.io
    j'ai télécharger qt-opensource-linux-x64-5.6.0.run
    et ça marche impec pour Ubuntu 15.10 dans VirtualBox.

    Il me semble qu'il n'y a plus de version 32 bits pour Linux à partir de la 5.6.
    Ok, merci, j'utilise la 5.5.1.
    Salut,
    il faudra installer les libs 32 bits
    pour les distribs type debian :
    sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install ia32-libs
    Euh... je sais pas exactement si ma distrib dérive de debian (je suis sous mint).
    Donc si je fais ça, je pourrai compiler pour x64 et x86 ?
Connectez-vous ou Inscrivez-vous pour répondre.